List Blocks
curl --request GET \
--url https://relay.snipp.gg/users/{id}/blocks \
--header 'relay-key: <api-key>'import requests
url = "https://relay.snipp.gg/users/{id}/blocks"
headers = {"relay-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'relay-key': '<api-key>'}};
fetch('https://relay.snipp.gg/users/{id}/blocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.snipp.gg/users/{id}/blocks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"relay-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.snipp.gg/users/{id}/blocks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("relay-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.snipp.gg/users/{id}/blocks")
.header("relay-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.snipp.gg/users/{id}/blocks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["relay-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"blocks": [
{
"user": {
"id": "987654321098765432",
"username": "playertwo",
"nickname": "Player Two",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": false,
"plan": "free"
},
"created_at": "2026-09-14T11:20:05.000Z"
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}Social
List Blocks
List the users you block, newest first. id must be @me or your own ID.
GET
/
users
/
{id}
/
blocks
List Blocks
curl --request GET \
--url https://relay.snipp.gg/users/{id}/blocks \
--header 'relay-key: <api-key>'import requests
url = "https://relay.snipp.gg/users/{id}/blocks"
headers = {"relay-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'relay-key': '<api-key>'}};
fetch('https://relay.snipp.gg/users/{id}/blocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://relay.snipp.gg/users/{id}/blocks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"relay-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://relay.snipp.gg/users/{id}/blocks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("relay-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://relay.snipp.gg/users/{id}/blocks")
.header("relay-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://relay.snipp.gg/users/{id}/blocks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["relay-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"blocks": [
{
"user": {
"id": "987654321098765432",
"username": "playertwo",
"nickname": "Player Two",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": false,
"plan": "free"
},
"created_at": "2026-09-14T11:20:05.000Z"
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"username": "<string>",
"quota": 123,
"used": 123,
"resets_at": "2023-11-07T05:31:56Z",
"failed": [
{
"index": 123,
"error": "<unknown>"
}
]
}
}List the users you block, most recent first.
id must be @me or your own ID.
Behavior
- Only blocks you made are listed. Users who block you never appear.
- Each entry has the blocked
userandcreated_at, when you blocked them. - Results are paginated: pass
limit(1 to 100, default 30) and the previous page’snext_cursorascursor. - Shares a rate limit bucket with the follower and following lists: 30 requests per minute.
Examples
curl "https://relay.snipp.gg/users/@me/blocks" \
-H "relay-key: YOUR_RELAY_KEY"
Responses
{
"blocks": [
{
"user": {
"id": "987654321098765432",
"username": "playertwo",
"nickname": "Player Two",
"avatar": "https://cdn.snipp.gg/avatar.png",
"verified": false,
"plan": "free"
},
"created_at": "2026-09-14T11:20:05.000Z"
}
],
"has_more": false,
"next_cursor": null
}
Errors
| Status | Type | When |
|---|---|---|
400 | invalid_request | Invalid limit or cursor |
401 | unauthorized | Missing or invalid key |
403 | forbidden | id is not you |
403 | suspended | Your account is suspended |
429 | rate_limited | More than 30 requests per minute |
Authorizations
Your relay key from snipp.gg/settings/relay
Path Parameters
User ID, or @me for your own account.
Query Parameters
Items per page, 1 to 100.
Required range:
1 <= x <= 100next_cursor from the previous page.